import React from 'react';
import type { IFormControlProps } from './types';
export declare type IFormControlContext = Omit<ReturnType<typeof useFormControlProvider>, 'htmlProps'>;
export declare const FormControlContext: React.Context<{}>;
export declare function useFormControlProvider(props: IFormControlProps): {
    isRequired: boolean;
    isInvalid: boolean;
    isReadOnly: boolean;
    isDisabled: boolean;
    hasFeedbackText: boolean;
    setHasFeedbackText: React.Dispatch<React.SetStateAction<boolean>>;
    hasHelpText: boolean;
    setHasHelpText: React.Dispatch<React.SetStateAction<boolean>>;
    nativeID: string;
    labelId: string;
    feedbackId: string;
    helpTextId: string;
    htmlProps: {
        children?: any;
        shadow?: number | undefined;
        _text?: import("../../primitives").ITextProps | undefined;
        bg?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
        background?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
        bgColor?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
        backgroundColor?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
        hitSlop?: import("react-native").Insets | undefined;
        onLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
        pointerEvents?: "auto" | "none" | "box-none" | "box-only" | undefined;
        removeClippedSubviews?: boolean | undefined;
        style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
        testID?: string | undefined;
        collapsable?: boolean | undefined;
        needsOffscreenAlphaCompositing?: boolean | undefined;
        renderToHardwareTextureAndroid?: boolean | undefined;
        focusable?: boolean | undefined;
        shouldRasterizeIOS?: boolean | undefined;
        isTVSelectable?: boolean | undefined;
        hasTVPreferredFocus?: boolean | undefined;
        tvParallaxProperties?: import("react-native").TVParallaxProperties | undefined;
        tvParallaxShiftDistanceX?: number | undefined;
        tvParallaxShiftDistanceY?: number | undefined;
        tvParallaxTiltAngle?: number | undefined;
        tvParallaxMagnification?: number | undefined;
        onStartShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onMoveShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onResponderEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderGrant?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderReject?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderRelease?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderTerminationRequest?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onResponderTerminate?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onStartShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onMoveShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onTouchStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchCancel?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchEndCapture?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        accessible?: boolean | undefined;
        accessibilityActions?: readonly Readonly<{
            name: string;
            label?: string | undefined;
        }>[] | undefined;
        accessibilityLabel?: string | undefined;
        accessibilityRole?: "button" | "header" | "link" | "menu" | "menuitem" | "summary" | "image" | "switch" | "text" | "none" | "search" | "checkbox" | "radio" | "keyboardkey" | "adjustable" | "imagebutton" | "alert" | "combobox" | "menubar" | "progressbar" | "radiogroup" | "scrollbar" | "spinbutton" | "tab" | "tablist" | "timer" | "toolbar" | undefined;
        accessibilityState?: import("react-native").AccessibilityState | undefined;
        accessibilityHint?: string | undefined;
        accessibilityValue?: import("react-native").AccessibilityValue | undefined;
        onAccessibilityAction?: ((event: import("react-native").AccessibilityActionEvent) => void) | undefined;
        accessibilityLiveRegion?: "none" | "polite" | "assertive" | undefined;
        importantForAccessibility?: "auto" | "no" | "yes" | "no-hide-descendants" | undefined;
        accessibilityElementsHidden?: boolean | undefined;
        accessibilityViewIsModal?: boolean | undefined;
        onAccessibilityEscape?: (() => void) | undefined;
        onAccessibilityTap?: (() => void) | undefined;
        onMagicTap?: (() => void) | undefined;
        accessibilityIgnoresInvertColors?: boolean | undefined;
        textColor?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "aliceblue" | "antiquewhite" | "aqua" | "aquamarine" | "azure" | "beige" | "bisque" | "black" | "blanchedalmond" | "blue" | "blueviolet" | "brown" | "burlywood" | "cadetblue" | "chartreuse" | "chocolate" | "coral" | "cornflowerblue" | "cornsilk" | "crimson" | "cyan" | "darkblue" | "darkcyan" | "darkgoldenrod" | "darkgray" | "darkgreen" | "darkgrey" | "darkkhaki" | "darkmagenta" | "darkolivegreen" | "darkorange" | "darkorchid" | "darkred" | "darksalmon" | "darkseagreen" | "darkslateblue" | "darkslategray" | "darkslategrey" | "darkturquoise" | "darkviolet" | "deeppink" | "deepskyblue" | "dimgray" | "dimgrey" | "dodgerblue" | "firebrick" | "floralwhite" | "forestgreen" | "fuchsia" | "gainsboro" | "ghostwhite" | "gold" | "goldenrod" | "gray" | "green" | "greenyellow" | "grey" | "honeydew" | "hotpink" | "indianred" | "indigo" | "ivory" | "khaki" | "lavender" | "lavenderblush" | "lawngreen" | "lemonchiffon" | "lightblue" | "lightcoral" | "lightcyan" | "lightgoldenrodyellow" | "lightgray" | "lightgreen" | "lightgrey" | "lightpink" | "lightsalmon" | "lightseagreen" | "lightskyblue" | "lightslategray" | "lightslategrey" | "lightsteelblue" | "lightyellow" | "lime" | "limegreen" | "linen" | "magenta" | "maroon" | "mediumaquamarine" | "mediumblue" | "mediumorchid" | "mediumpurple" | "mediumseagreen" | "mediumslateblue" | "mediumspringgreen" | "mediumturquoise" | "mediumvioletred" | "midnightblue" | "mintcream" | "mistyrose" | "moccasin" | "navajowhite" | "navy" | "oldlace" | "olive" | "olivedrab" | "orange" | "orangered" | "orchid" | "palegoldenrod" | "palegreen" | "paleturquoise" | "palevioletred" | "papayawhip" | "peachpuff" | "peru" | "pink" | "plum" | "powderblue" | "purple" | "rebeccapurple" | "red" | "rosybrown" | "royalblue" | "saddlebrown" | "salmon" | "sandybrown" | "seagreen" | "seashell" | "sienna" | "silver" | "skyblue" | "slateblue" | "slategray" | "slategrey" | "snow" | "springgreen" | "steelblue" | "tan" | "teal" | "thistle" | "tomato" | "transparent" | "turquoise" | "violet" | "wheat" | "white" | "whitesmoke" | "yellow" | "yellowgreen" | "ActiveBorder" | "ActiveCaption" | "AppWorkspace" | "Background" | "ButtonFace" | "ButtonHighlight" | "ButtonShadow" | "ButtonText" | "CaptionText" | "GrayText" | "Highlight" | "HighlightText" | "InactiveBorder" | "InactiveCaption" | "InactiveCaptionText" | "InfoBackground" | "InfoText" | "Menu" | "MenuText" | "Scrollbar" | "ThreeDDarkShadow" | "ThreeDFace" | "ThreeDHighlight" | "ThreeDLightShadow" | "ThreeDShadow" | "Window" | "WindowFrame" | "WindowText" | "currentcolor" | (string & {}) | undefined;
        opacity?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | undefined;
        } | null | undefined;
        m?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        margin?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        mt?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginTop?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        mr?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginRight?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        mb?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginBottom?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        ml?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginLeft?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        mx?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginX?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        my?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginY?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        p?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        padding?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        pt?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingTop?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        pr?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingRight?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        pb?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingBottom?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        pl?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingLeft?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        px?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingX?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        py?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingY?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        d?: import("../../types").ResponsiveValue<import("csstype").Property.Display>;
        w?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        boxSize?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        maxW?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        minW?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        h?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        maxH?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        minH?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        boxSizing?: import("../../types").ResponsiveValue<import("csstype").Property.BoxSizing>;
        width?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        height?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        minWidth?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        minHeight?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        maxWidth?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        maxHeight?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        display?: "ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | ("ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | null)[] | {
            [x: string]: "ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | undefined;
            [x: number]: "ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | undefined;
        } | null | undefined;
        verticalAlign?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        size?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        overflow?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
        } | null | undefined;
        overflowX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
        } | null | undefined;
        overflowY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
        } | null | undefined;
        flexDir?: import("../../types").ResponsiveValue<import("csstype").Property.FlexDirection>;
        alignItems?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
        } | null | undefined;
        alignContent?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
        } | null | undefined;
        justifyItems?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | undefined;
        } | null | undefined;
        justifyContent?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
        } | null | undefined;
        flexWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | undefined;
        } | null | undefined;
        flexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | undefined;
        } | null | undefined;
        flex?: string | number | (string & {}) | (number & {}) | (string | number | (string & {}) | (number & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | (number & {}) | undefined;
            [x: number]: string | number | (string & {}) | (number & {}) | undefined;
        } | null | undefined;
        flexGrow?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
        } | null | undefined;
        flexShrink?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
        } | null | undefined;
        flexBasis?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        justifySelf?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
        } | null | undefined;
        alignSelf?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
        } | null | undefined;
        order?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
        } | null | undefined;
        inset?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        insetX?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        insetY?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        pos?: import("../../types").ResponsiveValue<import("csstype").Property.Position>;
        position?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | undefined;
        } | null | undefined;
        zIndex?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | undefined;
        } | null | undefined;
        top?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        right?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        bottom?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        left?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        rounded?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedTopLeft?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedTopRight?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderTopLeftRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderTopRightRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedBottomLeft?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedBottomRight?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderBottomLeftRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderBottomRightRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderTopRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedTop?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderBottomRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedBottom?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderLeftRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedLeft?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderRightRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedRight?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        border?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderX?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderY?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderWidth?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderTopWidth?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderBottomWidth?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderLeftWidth?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderRightWidth?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        } | null | undefined;
        borderTopStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        } | null | undefined;
        borderBottomStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        } | null | undefined;
        borderLeftStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        } | null | undefined;
        borderRightStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        } | null | undefined;
        borderColor?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderTopColor?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderBottomColor?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderLeftColor?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderRightColor?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderRadius?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderTop?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderRight?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderBottom?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderLeft?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        animation?: import("../../types").ResponsiveValue<import("csstype").Property.Animation<string & {}>>;
        appearance?: import("../../types").ResponsiveValue<import("csstype").Property.Appearance>;
        visibility?: import("../../types").ResponsiveValue<import("csstype").Property.Visibility>;
        userSelect?: import("../../types").ResponsiveValue<import("csstype").Property.UserSelect>;
        cursor?: import("../../types").ResponsiveValue<import("csstype").Property.Cursor>;
        resize?: import("../../types").ResponsiveValue<import("csstype").Property.Resize>;
        objectFit?: import("../../types").ResponsiveValue<import("csstype").Property.ObjectFit>;
        objectPosition?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundPosition<0 | (string & {})>>;
        float?: import("../../types").ResponsiveValue<import("csstype").Property.Float>;
        willChange?: import("../../types").ResponsiveValue<import("csstype").Property.WillChange>;
        outline?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        outlineOffset?: import("../../types").ResponsiveValue<React.ReactText>;
        outlineColor?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineColor>;
        outlineWidth?: import("../../types").ResponsiveValue<React.ReactText>;
        outlineStyle?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineStyle>;
        backgroundImage?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
        backgroundSize?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "contain" | "cover" | undefined;
        backgroundPosition?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
        backgroundRepeat?: "space" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "round" | "no-repeat" | "repeat" | "repeat-x" | "repeat-y" | undefined;
        backgroundAttachment?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "scroll" | "fixed" | "local" | undefined;
        backgroundBlendMode?: "color" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "normal" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light" | undefined;
        bgImage?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
        bgImg?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
        bgBlendMode?: "color" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "normal" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light" | undefined;
        bgSize?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "contain" | "cover" | undefined;
        bgPosition?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
        bgPos?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
        bgRepeat?: "space" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "round" | "no-repeat" | "repeat" | "repeat-x" | "repeat-y" | undefined;
        bgAttachment?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "scroll" | "fixed" | "local" | undefined;
        safeArea?: number | boolean | undefined;
        safeAreaX?: number | boolean | undefined;
        safeAreaY?: number | boolean | undefined;
        safeAreaTop?: number | boolean | undefined;
        safeAreaBottom?: number | boolean | undefined;
        safeAreaLeft?: number | boolean | undefined;
        safeAreaRight?: number | boolean | undefined;
        transform?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
        transformOrigin?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
        _web?: any;
        _ios?: any;
        _android?: any;
        _light?: any;
        _dark?: any;
    };
};
/**
 * React hook that provides the props that should be spread on to
 * input fields (`input`, `select`, `textarea`, etc.).
 *
 * It provides a convenient way to control a form fields, validation
 * and helper text.
 */
export declare function useFormControl(props: IFormControlProps): {
    nativeID: string;
    disabled: boolean;
    readOnly: boolean;
    required: boolean;
    accessibilityInvalid: boolean | undefined;
    accessibilityRequired: boolean | undefined;
    accessibilityReadOnly: boolean | undefined;
    accessibilityDescribedBy: string | undefined;
    p?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
    children?: any;
    backgroundColor?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
    bg?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
    textColor?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "aliceblue" | "antiquewhite" | "aqua" | "aquamarine" | "azure" | "beige" | "bisque" | "black" | "blanchedalmond" | "blue" | "blueviolet" | "brown" | "burlywood" | "cadetblue" | "chartreuse" | "chocolate" | "coral" | "cornflowerblue" | "cornsilk" | "crimson" | "cyan" | "darkblue" | "darkcyan" | "darkgoldenrod" | "darkgray" | "darkgreen" | "darkgrey" | "darkkhaki" | "darkmagenta" | "darkolivegreen" | "darkorange" | "darkorchid" | "darkred" | "darksalmon" | "darkseagreen" | "darkslateblue" | "darkslategray" | "darkslategrey" | "darkturquoise" | "darkviolet" | "deeppink" | "deepskyblue" | "dimgray" | "dimgrey" | "dodgerblue" | "firebrick" | "floralwhite" | "forestgreen" | "fuchsia" | "gainsboro" | "ghostwhite" | "gold" | "goldenrod" | "gray" | "green" | "greenyellow" | "grey" | "honeydew" | "hotpink" | "indianred" | "indigo" | "ivory" | "khaki" | "lavender" | "lavenderblush" | "lawngreen" | "lemonchiffon" | "lightblue" | "lightcoral" | "lightcyan" | "lightgoldenrodyellow" | "lightgray" | "lightgreen" | "lightgrey" | "lightpink" | "lightsalmon" | "lightseagreen" | "lightskyblue" | "lightslategray" | "lightslategrey" | "lightsteelblue" | "lightyellow" | "lime" | "limegreen" | "linen" | "magenta" | "maroon" | "mediumaquamarine" | "mediumblue" | "mediumorchid" | "mediumpurple" | "mediumseagreen" | "mediumslateblue" | "mediumspringgreen" | "mediumturquoise" | "mediumvioletred" | "midnightblue" | "mintcream" | "mistyrose" | "moccasin" | "navajowhite" | "navy" | "oldlace" | "olive" | "olivedrab" | "orange" | "orangered" | "orchid" | "palegoldenrod" | "palegreen" | "paleturquoise" | "palevioletred" | "papayawhip" | "peachpuff" | "peru" | "pink" | "plum" | "powderblue" | "purple" | "rebeccapurple" | "red" | "rosybrown" | "royalblue" | "saddlebrown" | "salmon" | "sandybrown" | "seagreen" | "seashell" | "sienna" | "silver" | "skyblue" | "slateblue" | "slategray" | "slategrey" | "snow" | "springgreen" | "steelblue" | "tan" | "teal" | "thistle" | "tomato" | "transparent" | "turquoise" | "violet" | "wheat" | "white" | "whitesmoke" | "yellow" | "yellowgreen" | "ActiveBorder" | "ActiveCaption" | "AppWorkspace" | "Background" | "ButtonFace" | "ButtonHighlight" | "ButtonShadow" | "ButtonText" | "CaptionText" | "GrayText" | "Highlight" | "HighlightText" | "InactiveBorder" | "InactiveCaption" | "InactiveCaptionText" | "InfoBackground" | "InfoText" | "Menu" | "MenuText" | "Scrollbar" | "ThreeDDarkShadow" | "ThreeDFace" | "ThreeDHighlight" | "ThreeDLightShadow" | "ThreeDShadow" | "Window" | "WindowFrame" | "WindowText" | "currentcolor" | (string & {}) | undefined;
    opacity?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | undefined;
    } | null | undefined;
    bottom?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    top?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    inset?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    bgColor?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
    background?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
    backgroundImage?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
    backgroundSize?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "contain" | "cover" | undefined;
    backgroundPosition?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
    backgroundRepeat?: "space" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "round" | "no-repeat" | "repeat" | "repeat-x" | "repeat-y" | undefined;
    backgroundAttachment?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "scroll" | "fixed" | "local" | undefined;
    backgroundBlendMode?: "color" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "normal" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light" | undefined;
    bgImage?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
    bgImg?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
    bgBlendMode?: "color" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "normal" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light" | undefined;
    bgSize?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "contain" | "cover" | undefined;
    bgPosition?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
    bgPos?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
    bgRepeat?: "space" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "round" | "no-repeat" | "repeat" | "repeat-x" | "repeat-y" | undefined;
    bgAttachment?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "scroll" | "fixed" | "local" | undefined;
    shadow?: number | undefined;
    _text?: import("../../primitives").ITextProps | undefined;
    hitSlop?: import("react-native").Insets | undefined;
    onLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
    pointerEvents?: "auto" | "none" | "box-none" | "box-only" | undefined;
    removeClippedSubviews?: boolean | undefined;
    testID?: string | undefined;
    collapsable?: boolean | undefined;
    needsOffscreenAlphaCompositing?: boolean | undefined;
    renderToHardwareTextureAndroid?: boolean | undefined;
    focusable?: boolean | undefined;
    shouldRasterizeIOS?: boolean | undefined;
    isTVSelectable?: boolean | undefined;
    hasTVPreferredFocus?: boolean | undefined;
    tvParallaxProperties?: import("react-native").TVParallaxProperties | undefined;
    tvParallaxShiftDistanceX?: number | undefined;
    tvParallaxShiftDistanceY?: number | undefined;
    tvParallaxTiltAngle?: number | undefined;
    tvParallaxMagnification?: number | undefined;
    onStartShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onMoveShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onResponderEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderGrant?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderReject?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderRelease?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderTerminationRequest?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onResponderTerminate?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onStartShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onMoveShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onTouchStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchCancel?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchEndCapture?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    accessible?: boolean | undefined;
    accessibilityActions?: readonly Readonly<{
        name: string;
        label?: string | undefined;
    }>[] | undefined;
    accessibilityLabel?: string | undefined;
    accessibilityRole?: "button" | "header" | "link" | "menu" | "menuitem" | "summary" | "image" | "switch" | "text" | "none" | "search" | "checkbox" | "radio" | "keyboardkey" | "adjustable" | "imagebutton" | "alert" | "combobox" | "menubar" | "progressbar" | "radiogroup" | "scrollbar" | "spinbutton" | "tab" | "tablist" | "timer" | "toolbar" | undefined;
    accessibilityState?: import("react-native").AccessibilityState | undefined;
    accessibilityHint?: string | undefined;
    accessibilityValue?: import("react-native").AccessibilityValue | undefined;
    onAccessibilityAction?: ((event: import("react-native").AccessibilityActionEvent) => void) | undefined;
    accessibilityLiveRegion?: "none" | "polite" | "assertive" | undefined;
    importantForAccessibility?: "auto" | "no" | "yes" | "no-hide-descendants" | undefined;
    accessibilityElementsHidden?: boolean | undefined;
    accessibilityViewIsModal?: boolean | undefined;
    onAccessibilityEscape?: (() => void) | undefined;
    onAccessibilityTap?: (() => void) | undefined;
    onMagicTap?: (() => void) | undefined;
    accessibilityIgnoresInvertColors?: boolean | undefined;
    m?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    margin?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    mt?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    marginTop?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    mr?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    marginRight?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    mb?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    marginBottom?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    ml?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    marginLeft?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    mx?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    marginX?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    my?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    marginY?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    padding?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    pt?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    paddingTop?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    pr?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    paddingRight?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    pb?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    paddingBottom?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    pl?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    paddingLeft?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    px?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    paddingX?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    py?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    paddingY?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    d?: import("../../types").ResponsiveValue<import("csstype").Property.Display>;
    w?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    boxSize?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    maxW?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    minW?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    h?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    maxH?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    minH?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    boxSizing?: import("../../types").ResponsiveValue<import("csstype").Property.BoxSizing>;
    width?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    height?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    minWidth?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    minHeight?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    maxWidth?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    maxHeight?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    display?: "ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | ("ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | null)[] | {
        [x: string]: "ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | undefined;
        [x: number]: "ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | undefined;
    } | null | undefined;
    verticalAlign?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    size?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    overflow?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
    } | null | undefined;
    overflowX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
    } | null | undefined;
    overflowY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
    } | null | undefined;
    flexDir?: import("../../types").ResponsiveValue<import("csstype").Property.FlexDirection>;
    alignItems?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
    } | null | undefined;
    alignContent?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
    } | null | undefined;
    justifyItems?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | undefined;
    } | null | undefined;
    justifyContent?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
    } | null | undefined;
    flexWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | undefined;
    } | null | undefined;
    flexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | undefined;
    } | null | undefined;
    flex?: string | number | (string & {}) | (number & {}) | (string | number | (string & {}) | (number & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | (number & {}) | undefined;
        [x: number]: string | number | (string & {}) | (number & {}) | undefined;
    } | null | undefined;
    flexGrow?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
    } | null | undefined;
    flexShrink?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
    } | null | undefined;
    flexBasis?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    justifySelf?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
    } | null | undefined;
    alignSelf?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
    } | null | undefined;
    order?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
    } | null | undefined;
    insetX?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    insetY?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    pos?: import("../../types").ResponsiveValue<import("csstype").Property.Position>;
    position?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | undefined;
    } | null | undefined;
    zIndex?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | undefined;
    } | null | undefined;
    right?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    left?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    rounded?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    roundedTopLeft?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    roundedTopRight?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    borderTopLeftRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    borderTopRightRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    roundedBottomLeft?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    roundedBottomRight?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    borderBottomLeftRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    borderBottomRightRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    borderTopRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    roundedTop?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    borderBottomRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    roundedBottom?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    borderLeftRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    roundedLeft?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    borderRightRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    roundedRight?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    border?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    borderX?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    borderY?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    borderWidth?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    borderTopWidth?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    borderBottomWidth?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    borderLeftWidth?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    borderRightWidth?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    borderStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
    } | null | undefined;
    borderTopStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
    } | null | undefined;
    borderBottomStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
    } | null | undefined;
    borderLeftStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
    } | null | undefined;
    borderRightStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
        [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
    } | null | undefined;
    borderColor?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    borderTopColor?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    borderBottomColor?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    borderLeftColor?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    borderRightColor?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    borderRadius?: string | number | symbol | (string | number | symbol | null)[] | {
        [x: string]: string | number | symbol | undefined;
        [x: number]: string | number | symbol | undefined;
    } | null | undefined;
    borderTop?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    borderRight?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    borderBottom?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    borderLeft?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
        [x: string]: string | number | (string & {}) | undefined;
        [x: number]: string | number | (string & {}) | undefined;
    } | null | undefined;
    animation?: import("../../types").ResponsiveValue<import("csstype").Property.Animation<string & {}>>;
    appearance?: import("../../types").ResponsiveValue<import("csstype").Property.Appearance>;
    visibility?: import("../../types").ResponsiveValue<import("csstype").Property.Visibility>;
    userSelect?: import("../../types").ResponsiveValue<import("csstype").Property.UserSelect>;
    cursor?: import("../../types").ResponsiveValue<import("csstype").Property.Cursor>;
    resize?: import("../../types").ResponsiveValue<import("csstype").Property.Resize>;
    objectFit?: import("../../types").ResponsiveValue<import("csstype").Property.ObjectFit>;
    objectPosition?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundPosition<0 | (string & {})>>;
    float?: import("../../types").ResponsiveValue<import("csstype").Property.Float>;
    willChange?: import("../../types").ResponsiveValue<import("csstype").Property.WillChange>;
    outline?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
    outlineOffset?: import("../../types").ResponsiveValue<React.ReactText>;
    outlineColor?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineColor>;
    outlineWidth?: import("../../types").ResponsiveValue<React.ReactText>;
    outlineStyle?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineStyle>;
    safeArea?: number | boolean | undefined;
    safeAreaX?: number | boolean | undefined;
    safeAreaY?: number | boolean | undefined;
    safeAreaTop?: number | boolean | undefined;
    safeAreaBottom?: number | boolean | undefined;
    safeAreaLeft?: number | boolean | undefined;
    safeAreaRight?: number | boolean | undefined;
    transform?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
    transformOrigin?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
    _web?: any;
    _ios?: any;
    _android?: any;
    _light?: any;
    _dark?: any;
};
export declare const useFormControlContext: () => Pick<{
    isRequired: boolean;
    isInvalid: boolean;
    isReadOnly: boolean;
    isDisabled: boolean;
    hasFeedbackText: boolean;
    setHasFeedbackText: React.Dispatch<React.SetStateAction<boolean>>;
    hasHelpText: boolean;
    setHasHelpText: React.Dispatch<React.SetStateAction<boolean>>;
    nativeID: string;
    labelId: string;
    feedbackId: string;
    helpTextId: string;
    htmlProps: {
        children?: any;
        shadow?: number | undefined;
        _text?: import("../../primitives").ITextProps | undefined;
        bg?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
        background?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
        bgColor?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
        backgroundColor?: string | import("../../primitives/Box/types").ILinearGradientProps | undefined;
        hitSlop?: import("react-native").Insets | undefined;
        onLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
        pointerEvents?: "auto" | "none" | "box-none" | "box-only" | undefined;
        removeClippedSubviews?: boolean | undefined;
        style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
        testID?: string | undefined;
        collapsable?: boolean | undefined;
        needsOffscreenAlphaCompositing?: boolean | undefined;
        renderToHardwareTextureAndroid?: boolean | undefined;
        focusable?: boolean | undefined;
        shouldRasterizeIOS?: boolean | undefined;
        isTVSelectable?: boolean | undefined;
        hasTVPreferredFocus?: boolean | undefined;
        tvParallaxProperties?: import("react-native").TVParallaxProperties | undefined;
        tvParallaxShiftDistanceX?: number | undefined;
        tvParallaxShiftDistanceY?: number | undefined;
        tvParallaxTiltAngle?: number | undefined;
        tvParallaxMagnification?: number | undefined;
        onStartShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onMoveShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onResponderEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderGrant?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderReject?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderRelease?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderTerminationRequest?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onResponderTerminate?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onStartShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onMoveShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onTouchStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchCancel?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchEndCapture?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        accessible?: boolean | undefined;
        accessibilityActions?: readonly Readonly<{
            name: string;
            label?: string | undefined;
        }>[] | undefined;
        accessibilityLabel?: string | undefined;
        accessibilityRole?: "button" | "header" | "link" | "menu" | "menuitem" | "summary" | "image" | "switch" | "text" | "none" | "search" | "checkbox" | "radio" | "keyboardkey" | "adjustable" | "imagebutton" | "alert" | "combobox" | "menubar" | "progressbar" | "radiogroup" | "scrollbar" | "spinbutton" | "tab" | "tablist" | "timer" | "toolbar" | undefined;
        accessibilityState?: import("react-native").AccessibilityState | undefined;
        accessibilityHint?: string | undefined;
        accessibilityValue?: import("react-native").AccessibilityValue | undefined;
        onAccessibilityAction?: ((event: import("react-native").AccessibilityActionEvent) => void) | undefined;
        accessibilityLiveRegion?: "none" | "polite" | "assertive" | undefined;
        importantForAccessibility?: "auto" | "no" | "yes" | "no-hide-descendants" | undefined;
        accessibilityElementsHidden?: boolean | undefined;
        accessibilityViewIsModal?: boolean | undefined;
        onAccessibilityEscape?: (() => void) | undefined;
        onAccessibilityTap?: (() => void) | undefined;
        onMagicTap?: (() => void) | undefined;
        accessibilityIgnoresInvertColors?: boolean | undefined;
        textColor?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "aliceblue" | "antiquewhite" | "aqua" | "aquamarine" | "azure" | "beige" | "bisque" | "black" | "blanchedalmond" | "blue" | "blueviolet" | "brown" | "burlywood" | "cadetblue" | "chartreuse" | "chocolate" | "coral" | "cornflowerblue" | "cornsilk" | "crimson" | "cyan" | "darkblue" | "darkcyan" | "darkgoldenrod" | "darkgray" | "darkgreen" | "darkgrey" | "darkkhaki" | "darkmagenta" | "darkolivegreen" | "darkorange" | "darkorchid" | "darkred" | "darksalmon" | "darkseagreen" | "darkslateblue" | "darkslategray" | "darkslategrey" | "darkturquoise" | "darkviolet" | "deeppink" | "deepskyblue" | "dimgray" | "dimgrey" | "dodgerblue" | "firebrick" | "floralwhite" | "forestgreen" | "fuchsia" | "gainsboro" | "ghostwhite" | "gold" | "goldenrod" | "gray" | "green" | "greenyellow" | "grey" | "honeydew" | "hotpink" | "indianred" | "indigo" | "ivory" | "khaki" | "lavender" | "lavenderblush" | "lawngreen" | "lemonchiffon" | "lightblue" | "lightcoral" | "lightcyan" | "lightgoldenrodyellow" | "lightgray" | "lightgreen" | "lightgrey" | "lightpink" | "lightsalmon" | "lightseagreen" | "lightskyblue" | "lightslategray" | "lightslategrey" | "lightsteelblue" | "lightyellow" | "lime" | "limegreen" | "linen" | "magenta" | "maroon" | "mediumaquamarine" | "mediumblue" | "mediumorchid" | "mediumpurple" | "mediumseagreen" | "mediumslateblue" | "mediumspringgreen" | "mediumturquoise" | "mediumvioletred" | "midnightblue" | "mintcream" | "mistyrose" | "moccasin" | "navajowhite" | "navy" | "oldlace" | "olive" | "olivedrab" | "orange" | "orangered" | "orchid" | "palegoldenrod" | "palegreen" | "paleturquoise" | "palevioletred" | "papayawhip" | "peachpuff" | "peru" | "pink" | "plum" | "powderblue" | "purple" | "rebeccapurple" | "red" | "rosybrown" | "royalblue" | "saddlebrown" | "salmon" | "sandybrown" | "seagreen" | "seashell" | "sienna" | "silver" | "skyblue" | "slateblue" | "slategray" | "slategrey" | "snow" | "springgreen" | "steelblue" | "tan" | "teal" | "thistle" | "tomato" | "transparent" | "turquoise" | "violet" | "wheat" | "white" | "whitesmoke" | "yellow" | "yellowgreen" | "ActiveBorder" | "ActiveCaption" | "AppWorkspace" | "Background" | "ButtonFace" | "ButtonHighlight" | "ButtonShadow" | "ButtonText" | "CaptionText" | "GrayText" | "Highlight" | "HighlightText" | "InactiveBorder" | "InactiveCaption" | "InactiveCaptionText" | "InfoBackground" | "InfoText" | "Menu" | "MenuText" | "Scrollbar" | "ThreeDDarkShadow" | "ThreeDFace" | "ThreeDHighlight" | "ThreeDLightShadow" | "ThreeDShadow" | "Window" | "WindowFrame" | "WindowText" | "currentcolor" | (string & {}) | undefined;
        opacity?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | (number & {}) | undefined;
        } | null | undefined;
        m?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        margin?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        mt?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginTop?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        mr?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginRight?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        mb?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginBottom?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        ml?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginLeft?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        mx?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginX?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        my?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        marginY?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        p?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        padding?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        pt?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingTop?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        pr?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingRight?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        pb?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingBottom?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        pl?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingLeft?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        px?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingX?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        py?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        paddingY?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        d?: import("../../types").ResponsiveValue<import("csstype").Property.Display>;
        w?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        boxSize?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        maxW?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        minW?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        h?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        maxH?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        minH?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        boxSizing?: import("../../types").ResponsiveValue<import("csstype").Property.BoxSizing>;
        width?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        height?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        minWidth?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        minHeight?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        maxWidth?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        maxHeight?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        display?: "ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | ("ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | null)[] | {
            [x: string]: "ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | undefined;
            [x: number]: "ruby" | "table" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "flex" | "block" | "inline" | "run-in" | "-ms-flexbox" | "-ms-grid" | "-webkit-flex" | "flow" | "flow-root" | "grid" | "ruby-base" | "ruby-base-container" | "ruby-text" | "ruby-text-container" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group" | "-ms-inline-flexbox" | "-ms-inline-grid" | "-webkit-inline-flex" | "inline-block" | "inline-flex" | "inline-grid" | "inline-list-item" | "inline-table" | "contents" | "list-item" | undefined;
        } | null | undefined;
        verticalAlign?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        size?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        overflow?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
        } | null | undefined;
        overflowX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
        } | null | undefined;
        overflowY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "-moz-hidden-unscrollable" | "clip" | "scroll" | "visible" | undefined;
        } | null | undefined;
        flexDir?: import("../../types").ResponsiveValue<import("csstype").Property.FlexDirection>;
        alignItems?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
        } | null | undefined;
        alignContent?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
        } | null | undefined;
        justifyItems?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | "legacy" | undefined;
        } | null | undefined;
        justifyContent?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "start" | "normal" | "stretch" | "space-around" | "space-between" | "space-evenly" | undefined;
        } | null | undefined;
        flexWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | undefined;
        } | null | undefined;
        flexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | undefined;
        } | null | undefined;
        flex?: string | number | (string & {}) | (number & {}) | (string | number | (string & {}) | (number & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | (number & {}) | undefined;
            [x: number]: string | number | (string & {}) | (number & {}) | undefined;
        } | null | undefined;
        flexGrow?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
        } | null | undefined;
        flexShrink?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
        } | null | undefined;
        flexBasis?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        justifySelf?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "right" | "left" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
        } | null | undefined;
        alignSelf?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "baseline" | "center" | "end" | "flex-end" | "flex-start" | "self-end" | "self-start" | "start" | "normal" | "stretch" | undefined;
        } | null | undefined;
        order?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (number & {}) | undefined;
        } | null | undefined;
        inset?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        insetX?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        insetY?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        pos?: import("../../types").ResponsiveValue<import("csstype").Property.Position>;
        position?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky" | undefined;
        } | null | undefined;
        zIndex?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | (number & {}) | undefined;
        } | null | undefined;
        top?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        right?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        bottom?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        left?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        rounded?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedTopLeft?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedTopRight?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderTopLeftRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderTopRightRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedBottomLeft?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedBottomRight?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderBottomLeftRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderBottomRightRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderTopRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedTop?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderBottomRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedBottom?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderLeftRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedLeft?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        borderRightRadius?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        roundedRight?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        border?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderX?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderY?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderWidth?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderTopWidth?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderBottomWidth?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderLeftWidth?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderRightWidth?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        } | null | undefined;
        borderTopStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        } | null | undefined;
        borderBottomStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        } | null | undefined;
        borderLeftStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        } | null | undefined;
        borderRightStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | null)[] | {
            [x: string]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
            [x: number]: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "inset" | "outset" | "ridge" | "solid" | undefined;
        } | null | undefined;
        borderColor?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderTopColor?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderBottomColor?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderLeftColor?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderRightColor?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderRadius?: string | number | symbol | (string | number | symbol | null)[] | {
            [x: string]: string | number | symbol | undefined;
            [x: number]: string | number | symbol | undefined;
        } | null | undefined;
        borderTop?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderRight?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderBottom?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        borderLeft?: string | number | (string & {}) | (string | number | (string & {}) | null)[] | {
            [x: string]: string | number | (string & {}) | undefined;
            [x: number]: string | number | (string & {}) | undefined;
        } | null | undefined;
        animation?: import("../../types").ResponsiveValue<import("csstype").Property.Animation<string & {}>>;
        appearance?: import("../../types").ResponsiveValue<import("csstype").Property.Appearance>;
        visibility?: import("../../types").ResponsiveValue<import("csstype").Property.Visibility>;
        userSelect?: import("../../types").ResponsiveValue<import("csstype").Property.UserSelect>;
        cursor?: import("../../types").ResponsiveValue<import("csstype").Property.Cursor>;
        resize?: import("../../types").ResponsiveValue<import("csstype").Property.Resize>;
        objectFit?: import("../../types").ResponsiveValue<import("csstype").Property.ObjectFit>;
        objectPosition?: import("../../types").ResponsiveValue<import("csstype").Property.BackgroundPosition<0 | (string & {})>>;
        float?: import("../../types").ResponsiveValue<import("csstype").Property.Float>;
        willChange?: import("../../types").ResponsiveValue<import("csstype").Property.WillChange>;
        outline?: import("../../types").ResponsiveValue<import("csstype").Property.Margin<React.ReactText>>;
        outlineOffset?: import("../../types").ResponsiveValue<React.ReactText>;
        outlineColor?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineColor>;
        outlineWidth?: import("../../types").ResponsiveValue<React.ReactText>;
        outlineStyle?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineStyle>;
        backgroundImage?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
        backgroundSize?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "contain" | "cover" | undefined;
        backgroundPosition?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
        backgroundRepeat?: "space" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "round" | "no-repeat" | "repeat" | "repeat-x" | "repeat-y" | undefined;
        backgroundAttachment?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "scroll" | "fixed" | "local" | undefined;
        backgroundBlendMode?: "color" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "normal" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light" | undefined;
        bgImage?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
        bgImg?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
        bgBlendMode?: "color" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "normal" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light" | undefined;
        bgSize?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "auto" | "contain" | "cover" | undefined;
        bgPosition?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
        bgPos?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
        bgRepeat?: "space" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "round" | "no-repeat" | "repeat" | "repeat-x" | "repeat-y" | undefined;
        bgAttachment?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "scroll" | "fixed" | "local" | undefined;
        safeArea?: number | boolean | undefined;
        safeAreaX?: number | boolean | undefined;
        safeAreaY?: number | boolean | undefined;
        safeAreaTop?: number | boolean | undefined;
        safeAreaBottom?: number | boolean | undefined;
        safeAreaLeft?: number | boolean | undefined;
        safeAreaRight?: number | boolean | undefined;
        transform?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "none" | undefined;
        transformOrigin?: 0 | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | (string & {}) | "bottom" | "top" | "right" | "left" | "center" | undefined;
        _web?: any;
        _ios?: any;
        _android?: any;
        _light?: any;
        _dark?: any;
    };
}, "nativeID" | "isDisabled" | "isInvalid" | "isRequired" | "isReadOnly" | "hasFeedbackText" | "setHasFeedbackText" | "hasHelpText" | "setHasHelpText" | "labelId" | "feedbackId" | "helpTextId">;
