import React from 'react';
import { IBoxProps } from '../../primitives';
export interface IProgressProps extends IBoxProps {
    /**
     * Value of Progress.
     * @default 0
     */
    value?: number;
    /**
     * Defines height of Progress
     * @default sm
     */
    size?: 'xs' | 'sm' | 'md' | 'lg' | 'xl' | '2xl' | string;
    /**
     * The color scheme of the progress. This should be one of the color keys in the theme (e.g."green", "red").
     * @default primary
     */
    colorScheme?: string;
    /**
     * Whether progress is indeterminate
     * @default false
     */
    isIndeterminate?: any;
    /**
     * Min progress value
     * @default 0
     */
    min?: number;
    /**
     * Max progress value
     * @default 100
     */
    max?: number;
}
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<IProgressProps & React.RefAttributes<unknown>>>;
export default _default;
