export declare const Alert: {
    baseStyle: {
        alignItems: string;
        justifyContent: string;
        p: number;
        space: number;
        borderRadius: string;
        _actionProps: {
            alignSelf: string;
            ml: string;
        };
        _text: {
            fontSize: string;
            lineHeight: number;
            color: string;
        };
    };
    variants: {
        subtle: (props: Record<string, any>) => {
            bg: any;
            iconColor: any;
        };
        solid: (props: Record<string, any>) => {
            borderWidth: number;
            borderColor: string;
            bg: any;
            iconColor: any;
            textColor: any;
        };
        'left-accent': (props: Record<string, any>) => {
            borderWidth: number;
            bg: any;
            iconColor: any;
            textColor: any;
            borderColor: string;
            borderLeftColor: any;
        };
        'top-accent': (props: Record<string, any>) => {
            borderWidth: number;
            borderColor: string;
            borderTopColor: any;
            bg: any;
            iconColor: any;
            textColor: any;
        };
        outline: (props: Record<string, any>) => {
            borderWidth: number;
            borderColor: any;
            iconColor: any;
            textColor: any;
        };
        'outline-light': (props: Record<string, any>) => {
            borderWidth: number;
            borderColor: string;
            iconColor: any;
            textColor: any;
        };
    };
    defaultProps: {
        colorScheme: string;
        variant: string;
    };
};
export declare const AlertTitle: {
    baseStyle: {
        _text: {
            fontSize: string;
            lineHeight: number;
            fontWeight: string;
        };
    };
};
export declare const AlertIcon: {
    baseStyle: {
        size: number;
    };
};
export declare const AlertDescription: {
    baseStyle: {
        _text: {
            fontSize: string;
        };
        flexShrink: number;
    };
};
