declare function roundedStyle(): {
    borderRadius: string;
    borderWidth: number;
};
declare function outlineStyle(): {
    borderWidth: number;
};
declare function filledStyle(props: Record<string, any>): {
    bg: any;
    borderWidth: number;
    borderColor: string;
    _hover: {
        bg: any;
    };
};
declare function unstyledStyle(): {
    borderWidth: number;
};
declare function underlinedStyle(): {
    borderRadius: number;
    borderBottomWidth: number;
};
export declare const Input: {
    baseStyle: (props: Record<string, any>) => {
        px: number;
        py: number;
        borderRadius: string;
        color: any;
        placeholderTextColor: any;
        background: string;
        borderColor: any;
        _disabled: {
            opacity: number;
            bg: any;
        };
        _hover: {
            borderColor: any;
        };
        _invalid: {
            borderColor: any;
        };
        _focus: {
            style: {
                boxShadow: string;
                zIndex: number;
            } | {
                boxShadow?: undefined;
                zIndex?: undefined;
            };
            borderColor: string;
        };
        _android: {
            p: number;
            _focus: {
                borderColor: string;
            };
        };
        _ios: {
            px: number;
            py: number;
            _focus: {
                borderColor: string;
            };
        };
        _web: {
            outlineWidth: number;
            lineHeight: number;
        };
    };
    defaultProps: {
        size: string;
        variant: string;
    };
    variants: {
        outline: typeof outlineStyle;
        underlined: typeof underlinedStyle;
        rounded: typeof roundedStyle;
        filled: typeof filledStyle;
        unstyled: typeof unstyledStyle;
    };
    sizes: {
        '2xl': {
            fontSize: string;
        };
        xl: {
            fontSize: string;
        };
        lg: {
            fontSize: string;
        };
        md: {
            fontSize: string;
        };
        sm: {
            fontSize: string;
        };
        xs: {
            fontSize: string;
        };
    };
};
declare const _default: {};
export default _default;
