var _interopRequireDefault=require("@babel/runtime/helpers/interopRequireDefault");Object.defineProperty(exports,"__esModule",{value:true});exports.extractProps=extractProps;exports.mergeUnderscoreProps=mergeUnderscoreProps;exports.calculateProps=calculateProps;exports.resolveValueWithBreakpoint=exports.extractPropertyFromFunction=void 0;var _slicedToArray2=_interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));var _extends2=_interopRequireDefault(require("@babel/runtime/helpers/extends"));var _lodash=_interopRequireDefault(require("lodash.get"));var _lodash2=_interopRequireDefault(require("lodash.isnil"));var _lodash3=_interopRequireDefault(require("lodash.mergewith"));var _lodash4=_interopRequireDefault(require("lodash.clonedeep"));var _base=require("./../../theme/base");var _tools=require("./../../theme/tools");var _useContrastText=require("../useContrastText");function extractProps(props,theme,colorModeProps,componentTheme,currentBreakpoint){var newProps={};for(var property in props){if(_base.themePropertyMap[property]){var propValues=extractPropertyFromFunction(property,props,theme,componentTheme);if(typeof propValues==='string'||typeof propValues==='number'){newProps[property]=propValues;}else if(!(0,_lodash2.default)(propValues)){for(var nestedProp in propValues){newProps[nestedProp]=(0,_lodash.default)(theme,_base.themePropertyMap[nestedProp]+"."+propValues[nestedProp],propValues[nestedProp]);}}else if(property==='shadow'){var shadowProps=theme[_base.themePropertyMap[property]](colorModeProps)[props[property]];if(!(0,_lodash2.default)(shadowProps)){newProps=(0,_extends2.default)({},newProps,shadowProps);}}else{newProps[property]=resolveValueWithBreakpoint(props[property],currentBreakpoint,property);}}else{newProps[property]=resolveValueWithBreakpoint(props[property],currentBreakpoint,property);}}return(0,_lodash4.default)(newProps);}function filterDefaultProps(props,defaultProps){var _extractInObject=(0,_tools.extractInObject)(defaultProps,Object.keys(props)),_extractInObject2=(0,_slicedToArray2.default)(_extractInObject,2),resultProps=_extractInObject2[1];return resultProps;}var extractPropertyFromFunction=function extractPropertyFromFunction(property,props,theme,componentTheme){var propValues;if(componentTheme&&typeof componentTheme[_base.themePropertyMap[property]]==='function'){var funcProps=componentTheme[_base.themePropertyMap[property]]((0,_extends2.default)({theme:theme},props));var isNested=Object.keys(funcProps).some(function(key){return funcProps[key]&&typeof funcProps[key]==='object';});propValues=isNested?(0,_extends2.default)({},(0,_lodash.default)(funcProps,""+props[property])):(0,_extends2.default)({},funcProps);}else{propValues=(0,_lodash.default)(componentTheme,_base.themePropertyMap[property]+"."+props[property]);}return propValues;};exports.extractPropertyFromFunction=extractPropertyFromFunction;function mergeUnderscoreProps(newProps,props){var _props=Object.keys(newProps).filter(function(propName){return propName.startsWith('_');});_props.forEach(function(propName){var _newProps$bg,_newProps$propName$co,_newProps$propName,_props$propName;var bg=(_newProps$bg=newProps.bg)!=null?_newProps$bg:newProps.backgroundColor;var textColor=bg?{color:(0,_useContrastText.useContrastText)(bg,(_newProps$propName$co=(_newProps$propName=newProps[propName])==null?void 0:_newProps$propName.color)!=null?_newProps$propName$co:(_props$propName=props[propName])==null?void 0:_props$propName.color)}:{};newProps[propName]=(0,_extends2.default)({},textColor,newProps[propName],props[propName]);});return newProps;}var resolveValueWithBreakpoint=function resolveValueWithBreakpoint(values,currentBreakpoint,property){if((0,_tools.hasValidBreakpointFormat)(values,property)){return(0,_tools.findLastValidBreakpoint)(values,currentBreakpoint);}else{return values;}};exports.resolveValueWithBreakpoint=resolveValueWithBreakpoint;function calculateProps(theme,colorModeProps,componentTheme,props,windowWidth){var currentBreakpoint=(0,_tools.getClosestBreakpoint)(theme.breakpoints,windowWidth);if(!props){props={};}var newProps;if(componentTheme){newProps=extractProps(filterDefaultProps(props,componentTheme.defaultProps),theme,colorModeProps,componentTheme,currentBreakpoint);var componentBaseStyle=typeof componentTheme.baseStyle!=='function'?componentTheme.baseStyle:componentTheme.baseStyle((0,_extends2.default)({theme:theme},newProps,props,colorModeProps));newProps=(0,_lodash3.default)(newProps,componentBaseStyle,function(objValue,srcValue,key){if(!(0,_lodash2.default)(objValue)){delete newProps[key];}});var variant=props.variant||(0,_lodash.default)(componentTheme,'defaultProps.variant');if(variant&&componentTheme.variants&&componentTheme.variants[variant]){var colorScheme=props.colorScheme||(0,_lodash.default)(componentTheme,'defaultProps.colorScheme');var variantProps=componentTheme.variants[variant]((0,_extends2.default)({},props,newProps,{colorScheme:colorScheme,theme:theme},colorModeProps));variantProps=extractProps(variantProps,theme,colorModeProps,componentTheme,currentBreakpoint);newProps=(0,_lodash3.default)(newProps,variantProps,function(objValue,srcValue,key){if(!(0,_lodash2.default)(objValue)){delete newProps[key];}});delete newProps.variant;delete newProps.colorScheme;}}var extractedProps=extractProps(props,theme,colorModeProps,componentTheme,currentBreakpoint);newProps=(0,_lodash3.default)(newProps,extractedProps,function(objValue,srcValue,key){if(!(0,_lodash2.default)(objValue)){delete newProps[key];}});newProps=mergeUnderscoreProps(newProps,props);return newProps;}
//# sourceMappingURL=utils.js.map